Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QUriDrag

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QUriDrag class reference

### Public Functions

- QUriDrag ( const QList<QByteArray> & uris, QWidget * dragSource, const char * name ) `(obsolete)`
- QUriDrag ( QWidget * dragSource, const char * name ) `(obsolete)`
- void setFilenames ( const QStringList & list ) `(obsolete)`

## Member Function Documentation

### QUriDrag::QUriDrag ( const QList<QByteArray> & uris, QWidget * dragSource, const char * name )

Constructs an object to drag the list of uris. The dragSource and name are passed to the QStoredDrag constructor.

Note that URIs are always in escaped UTF8 encoding.

### QUriDrag::QUriDrag ( QWidget * dragSource, const char * name )

Constructs an object to drag with the given name. You must call setUris() before you start the drag(). Both the dragSource and the name are passed to the QStoredDrag constructor.

### void QUriDrag::setFilenames ( const QStringList & list )

Sets the filename's in the drag object to those in the given list.

Use setFileNames() instead.